Summary:	Data analysis and scientific plotting
Name:		qtiplot
Version:	0.9.8.9
Release:	1%{?dist}
License:	GPLv2+
Group:		Sciences/Other
Url:		http://soft.proindependent.com/qtiplot.html
Source0:	http://download.berlios.de/qtiplot/%{name}-%{version}.tar.bz2
Source1:	http://www.stat.tamu.edu/~aredd/tamuanova/tamu_anova-0.2.tar.gz
Source2:	build.conf
Source3:    qtiplot.png
Patch0:		qtiplot-0.9.8.9-rosa-pro.patch
Patch1:		qtiplot-0.9.7.11-fix-str-fmt.patch
Patch2:		qtiplot-0.9.8.9-debian-fix_paths.patch
Patch3:		qtiplot-0.9.8.9-debian-crasher_without_internet.patch
Patch4:		qtiplot-0.9.8.9-debian-glu_include.patch
Patch5:		qtiplot-0.9.8.9-rosa-gl2ps_zlib_png.patch
Patch6:		qtiplot-0.9.8.9-linkage.patch
Patch7:		set_col_values.patch

#BuildRequires:  python-devel
BuildRequires:	qt4-devel >= 4.4.0
BuildRequires:	qt-assistant-adp-devel
#BuildRequires:	libqwtplot3d-devel
BuildRequires:	gsl-devel
BuildRequires:	icoutils
BuildRequires:	muParser-devel >= 1.32
#BuildRequires:	libqwt-devel >= 5.2.0
BuildRequires:	python-qt4 >= 4.4.4
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(glu)
BuildRequires:  libpng-devel
#BuildRequires:	qtexengine-devel
Requires:	qt-assistant-adp
Requires:	python-qt4 >= 4.4.4
Requires:	python(abi) = 2.7

%description
Data analysis and scientific plotting.
Free clone of Origin.

%prep
%setup -q
%patch0 -p1 -b .compile
%patch1 -p0 -b .str
%patch2 -p1 -b .path
%patch3 -p1 -b .inet
%patch4 -p1 -b .glu
%patch5 -p1 -b .zlib_png
%patch6 -p1 -b .linkage
%patch7 -p1
pushd 3rdparty
tar xf %{SOURCE1}
mv tamu_anova-0.2 tamu_anova
popd

cp %{SOURCE2} .
sed -i 's|@LIBDIR@|%{_libdir}|g;s|@INCLUDEDIR@|%{_includedir}|g' build.conf

%build
pushd 3rdparty/tamu_anova
%configure --disable-shared --enable-static
%{__make}
popd
qmake-qt4 -d \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif
	-o Makefile
%{__make}

%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QtiPlot
Comment=Data analysis and scientific plotting
Exec=qtiplot
Icon=qtiplot
Terminal=false
Type=Application
Categories=Qt;Science;DataVisualization;
StartupNotify=true
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/


rm -fr %{buildroot}/usr/local

# Nuke the junk
find %{buildroot} -name libqwtplot3d.a -delete

%files
%defattr(644,root,root,755)
%doc README.html gpl_licence.txt
%attr(755,root,root) %{_bindir}/qtiplot
%{_mandir}/man1/qtiplot.1.*
%{_libdir}/qtiplot/plugins
%{_datadir}/*
